Loading...
Searching...
No Matches
usermgmt::SnmpV3Settings Struct Reference

SNMPv3 settings. More...

`import "User.idl";`

## Public Attributes

boolean | enabled
| SNMPv3 enabled.
SnmpV3SecLevel | secLevel
| Security level.
SnmpV3AuthProto | authProtocol
| Authentication protocol.
boolean | usePasswordAsAuthPassphrase
| Use account password for SNMPv3 authentication.
boolean | haveAuthPassphrase
| Authentication passphrase present.
string | authPassphrase
| Authentication passphrase; cannot be read back.
SnmpV3PrivProto | privProtocol
| Privacy protocol.
boolean | useAuthPassphraseAsPrivPassphrase
| Use authentication passphrase as privacy passphrase.
boolean | havePrivPassphrase
| Privacy passphrase present.
string | privPassphrase
| Privacy passphrase; cannot be read back.

## Detailed Description

SNMPv3 settings.

Definition at line 41 of file User.idl.

## Member Data Documentation

## authPassphrase

string usermgmt::SnmpV3Settings::authPassphrase

Authentication passphrase; cannot be read back.

Definition at line 47 of file User.idl.

## authProtocol

SnmpV3AuthProto usermgmt::SnmpV3Settings::authProtocol

Authentication protocol.

Definition at line 44 of file User.idl.

## enabled

boolean usermgmt::SnmpV3Settings::enabled

SNMPv3 enabled.

Definition at line 42 of file User.idl.

## haveAuthPassphrase

boolean usermgmt::SnmpV3Settings::haveAuthPassphrase

Authentication passphrase present.

Definition at line 46 of file User.idl.

## havePrivPassphrase

boolean usermgmt::SnmpV3Settings::havePrivPassphrase

Privacy passphrase present.

Definition at line 50 of file User.idl.

## privPassphrase

string usermgmt::SnmpV3Settings::privPassphrase

Privacy passphrase; cannot be read back.

Definition at line 51 of file User.idl.

## privProtocol

SnmpV3PrivProto usermgmt::SnmpV3Settings::privProtocol

Privacy protocol.

Definition at line 48 of file User.idl.

## secLevel

SnmpV3SecLevel usermgmt::SnmpV3Settings::secLevel

Security level.

Definition at line 43 of file User.idl.

## useAuthPassphraseAsPrivPassphrase

boolean usermgmt::SnmpV3Settings::useAuthPassphraseAsPrivPassphrase

Use authentication passphrase as privacy passphrase.

Definition at line 49 of file User.idl.

## usePasswordAsAuthPassphrase

boolean usermgmt::SnmpV3Settings::usePasswordAsAuthPassphrase

Use account password for SNMPv3 authentication.

Definition at line 45 of file User.idl.

The documentation for this struct was generated from the following file:

- User.idl